Bug 1049102 - [GSS] (6.3) CLI fails to show app status when runtime-name is different from the deployment name
Summary: [GSS] (6.3) CLI fails to show app status when runtime-name is different from ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.0.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: DR0
: EAP 6.3.0
Assignee: Brian Stansberry
QA Contact: Petr Kremensky
Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks: 1007696
TreeView+ depends on / blocked
 
Reported: 2014-01-07 02:21 UTC by Brian Stansberry
Modified: 2018-12-04 16:50 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, the management operation handler used to determine the status of a deployment was using the deployment name to find the deployment service instead of using its runtime-name. As a result, if a deployment had a runtime-name that was different from its management name, an attempt to read its "status" attribute would result in a response of `No metrics available`. For example: ---- [standalone@localhost:9999 /] deploy /home/ABC.ear --name=ABC.ear --runtime-name=XYZ.ear [standalone@localhost:9999 /] /deployment=ABC.ear:read-attribute(name=status) { "outcome" => "success", "result" => "no metrics available" } ---- In this release of the product, the management handler uses the runtime-name when looking up the deployment service which ensures the status is correctly returned. The response from the above example is now: ---- [standalone@localhost:9999 /] /deployment=ABC.ear:read-attribute(name=status) { "outcome" => "success", "result" => "OK" } ----
Clone Of: 1007696
Environment:
Last Closed: 2014-06-28 15:31:40 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker WFLY-2061 Major Resolved CLI fails to show app status when runtime-name is different from the deployment name 2017-06-27 11:27:39 UTC

Comment 3 Petr Kremensky 2014-02-24 14:45:47 UTC
Verified on EAP 6.3.0.DR0.


Note You need to log in before you can comment on or make changes to this bug.